import os,sys

sep=os.sep
pathsep=os.pathsep

pathname = os.path.dirname(sys.argv[0])
rootDir = os.path.abspath(pathname)
curValue = ""

print "PolyCell V1.0"
print ""
print "%%%%% Setup Script %%%%%"

print "Creating the batch test script at: " + str(rootDir + sep+"test.bat")
test_batch = open(rootDir + sep+"test.bat", 'w')

test_batch.write("ECHO OFF\n")
test_batch.write("ECHO ****TEST SCRIPT FOR POLYCELL V1.0****\n")
test_batch.write("ECHO *****Testing Parser module*****\n")
test_batch.write("python formulaparser"+sep+"test"+sep+"testsuite.py -v\n")
test_batch.write("ECHO *****Testing AST module*****\n")
test_batch.write("python formulaparser"+sep+"syntaxtrees"+sep+"test"+sep+"testsuite.py -v\n")

print "Creating the shell test script at: " + str(rootDir+sep+"test.sh")
test_sh = open(rootDir+sep+"test.sh",'w')

test_sh.write("#!/bin/bash\n")
test_sh.write("echo \"****TEST SCRIPT FOR POLYCELL V1.0****\"\n")
test_sh.write("echo \"*****Testing Parser module*****\"\n")
test_sh.write("python formulaparser"+sep+"test"+sep+"testsuite.py -v\n")
test_sh.write("echo \"*****Testing AST module*****\"\n")
test_sh.write("python formulaparser"+sep+"syntaxtrees"+sep+"test"+sep+"testsuite.py -v\n")


