class FunctionNameError(Exception):
    """Raised when a unknown function is present in a formula"""
    def __init__(self, msg=""):
        Exception.__init__(self)
        self.__msg=msg
    def __repr__(self):
        return "Invalid function name: "+self.__msg
    def __str__(self):
        return "Invalid function name: "+self.__msg

class FormulaParseError(Exception):
    """Raised when a parse error is found in a formula"""
    def __init__(self, msg=""):
        Exception.__init__(self)
        self.__msg=msg
    def __repr__(self):
        return self.__msg
    def __str__(self):
        return self.__msg
